Package org.codehaus.groovy.tools.groovydoc.antlr4

# Class GroovydocJavaVisitor

java.lang.Object
com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>
org.codehaus.groovy.tools.groovydoc.antlr4.GroovydocJavaVisitor

All Implemented Interfaces:
  `com.github.javaparser.ast.visitor.VoidVisitor<Object>`

public class GroovydocJavaVisitor extends com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>
JavaParser AST visitor that extracts Groovydoc information from Java source files, producing a map of `GroovyClassDoc` instances keyed by full path.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovydocJavaVisitor(String packagePath, List<LinkArgument> links)`
  Creates a visitor for the given package path and link arguments with default properties.
  `GroovydocJavaVisitor(String packagePath, List<LinkArgument> links, Properties properties)`
  Creates a visitor for the given package path, link arguments, and generation properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,GroovyClassDoc>`
  `getGroovyClassDocs()`
  Returns the collected class documentation, keyed by full path name.
  `void`
  `visit(com.github.javaparser.ast.body.AnnotationDeclaration n, Object arg)`
  `void`
  `visit(com.github.javaparser.ast.body.AnnotationMemberDeclaration n, Object arg)`
  `void`
  `visit(com.github.javaparser.ast.body.ClassOrInterfaceDeclaration n, Object arg)`
  `void`
  `visit(com.github.javaparser.ast.body.CompactConstructorDeclaration c, Object arg)`
  `void`
  `visit(com.github.javaparser.ast.body.ConstructorDeclaration c, Object arg)`
  `void`
  `visit(com.github.javaparser.ast.body.EnumConstantDeclaration n, Object arg)`
  `void`
  `visit(com.github.javaparser.ast.body.EnumDeclaration n, Object arg)`
  `void`
  `visit(com.github.javaparser.ast.body.FieldDeclaration f, Object arg)`
  `void`
  `visit(com.github.javaparser.ast.body.MethodDeclaration m, Object arg)`
  `void`
  `visit(com.github.javaparser.ast.body.RecordDeclaration n, Object arg)`
  `void`
  `visit(com.github.javaparser.ast.expr.ObjectCreationExpr n, Object arg)`
  `void`
  `visit(com.github.javaparser.ast.ImportDeclaration n, Object arg)`

  ### Methods inherited from class com.github.javaparser.ast.visitor.VoidVisitorAdapter

  `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroovydocJavaVisitor

    public GroovydocJavaVisitor(String packagePath, List<LinkArgument> links)
    Creates a visitor for the given package path and link arguments with default properties.

  - ### GroovydocJavaVisitor

    public GroovydocJavaVisitor(String packagePath, List<LinkArgument> links, Properties properties)
    Creates a visitor for the given package path, link arguments, and generation properties.
    Since:
      6.0.0

- ## Method Details

  - ### visit

    public void visit(com.github.javaparser.ast.ImportDeclaration n, Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

  - ### visit

    public void visit(com.github.javaparser.ast.body.EnumDeclaration n, Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

  - ### visit

    public void visit(com.github.javaparser.ast.body.EnumConstantDeclaration n, Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

  - ### visit

    public void visit(com.github.javaparser.ast.body.AnnotationDeclaration n, Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

  - ### visit

    public void visit(com.github.javaparser.ast.body.AnnotationMemberDeclaration n, Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

  - ### visit

    public void visit(com.github.javaparser.ast.body.ClassOrInterfaceDeclaration n, Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

  - ### visit

    public void visit(com.github.javaparser.ast.body.RecordDeclaration n, Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

  - ### visit

    public void visit(com.github.javaparser.ast.body.CompactConstructorDeclaration c, Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

  - ### visit

    public void visit(com.github.javaparser.ast.body.MethodDeclaration m, Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

  - ### visit

    public void visit(com.github.javaparser.ast.body.ConstructorDeclaration c, Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

  - ### visit

    public void visit(com.github.javaparser.ast.body.FieldDeclaration f, Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

  - ### visit

    public void visit(com.github.javaparser.ast.expr.ObjectCreationExpr n, Object arg)
    Specified by:
      `visit` in interface `com.github.javaparser.ast.visitor.VoidVisitor<Object>`
    Overrides:
      `visit` in class `com.github.javaparser.ast.visitor.VoidVisitorAdapter<Object>`

  - ### getGroovyClassDocs

    public Map<String,GroovyClassDoc> getGroovyClassDocs()
    Returns the collected class documentation, keyed by full path name.